export class PlayerProperties {
    constructor(player) {
        this.player = player;
    }
    initializeProperties() {
        const defaultProperties = {
            developer: false,
            waio: true,
            noLang: false,
            maxDistance: 5,
        };
        for (const [key, value] of Object.entries(defaultProperties)) {
            if (this.player.getDynamicProperty(key) === undefined) {
                this.player.setDynamicProperty(key, value);
            }
        }
    }
}
